Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class ForwardingCatchAllStrategy

    java.lang.Object
      org.mule.routing.AbstractCatchAllStrategy
          org.mule.routing.ForwardingCatchAllStrategy

All Implemented Interfaces:
  MessageProcessor, OutboundRouterCatchAllStrategy, RouterStatisticsRecorder

    public class ForwardingCatchAllStrategy

extends AbstractCatchAllStrategy

`ForwardingCatchAllStrategy` acts as a catch and forward router for any events not caught by the router this strategy is associated with. Users can assign an endpoint to this strategy to forward all events to. This can be used as a dead letter/error queue.

Field Summary
`protected OutboundEndpoint` | `endpoint`

Fields inherited from class org.mule.routing.AbstractCatchAllStrategy
`logger, statistics`

Constructor Summary
`ForwardingCatchAllStrategy()`

Method Summary
`MuleEvent` | `doCatchMessage(MuleEvent event)`
`OutboundEndpoint` | `getEndpoint()`
`boolean` | `isSendTransformed()`
`void` | `setEndpoint(OutboundEndpoint endpoint)`
`void` | `setMessageProcessor(MessageProcessor processor)`
`void` | `setSendTransformed(boolean sendTransformed)`

Methods inherited from class org.mule.routing.AbstractCatchAllStrategy
`getRouterStatistics, process, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endpoint

    protected OutboundEndpoint endpoint

Constructor Detail

### ForwardingCatchAllStrategy

    public ForwardingCatchAllStrategy()

Method Detail

### setEndpoint

    public void setEndpoint(OutboundEndpoint endpoint)

### setMessageProcessor

    public void setMessageProcessor(MessageProcessor processor)

### getEndpoint

    public OutboundEndpoint getEndpoint()

### doCatchMessage

    public MuleEvent doCatchMessage(MuleEvent event)
                             throws RoutingException

  Specified by:
    `doCatchMessage` in class `AbstractCatchAllStrategy`
  Throws:
    `RoutingException`

### isSendTransformed

    public boolean isSendTransformed()

### setSendTransformed

    public void setSendTransformed(boolean sendTransformed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.